
#include "linda3.h"

#define PAGE_SIZE	1024

int main( argc, argv )
word  argc;
byte *argv[];
{
	word nbytes;
	
	if ((argc < 2) || (argc > 3))
	{
		fprintf( stderr, "Usage : %s id [string]\n", argv[0] );
		return -1;
	}
	
	if (argc == 3) nbytes = lput( argv[1], argv[2], 1 + strlen(argv[2]) );
	else
	{
		int	c, psize, size = 0;
		char *	data;		
		    
		data = malloc( psize = PAGE_SIZE );
		
		while( (size < 65536) && ((c = getchar()) != EOF ))
		{
		    data[size++] = (char)c;
		    if (size > psize) data = realloc(data, psize+=PAGE_SIZE);
		}
		nbytes = lput( argv[1], data, size );
		free( data );
	}
	if (nbytes <= 0)
	{
		fprintf( stderr, "%s error : ", argv[0] );
		switch (nbytes)
		{
		    case -1 :	fprintf( stderr, "no active server\n" );
		   		break;
		    case -2 :	fprintf( stderr, "no space on server\n" );
		   		break;
		    default :	fprintf( stderr, "return code %ld\n", nbytes );
		}
	}
	return nbytes;
}
