
#include "linda3.h"

int kill_server( int );

int main( int argc, char **argv )
{
	int n, i;
	
	for( i = 1 ; i < argc ; ++i )
	{
		if(argv[i][0] == '-')
		{
	    		switch( argv[i][1] )
	    		{
			case 'a' : 
		   	for( n=0; n < MaxLindaServer; n++) kill_server(n);
		   	return 0;
			   
			case 'n' : 
		   	for( ++i ; i < argc; ++i)
		   	{ 
	   			kill_server(atoi(argv[i]));
			}
		   	return 0;
			}
		}
	}
	printf("Usage : %s [-a] | [-n serv1 serv2 ...]\n",argv[0]);
	return -1;
}

int kill_server( n )
int n;
{
	MCB	mcb;
	Object *obj;
	Stream *str;
	byte	name[16];

	if( n != -1)
		sprintf( name, "/%s%d", LSName, n );
	else /* serveur debug */ 
		sprintf( name ,"/%sD0",LSName) ;

	if ((obj = Locate( NULL, name )) == NULL) return 0;
	if ((str = Open( obj, "", O_ReadOnly )) == NULL)
	{
		Close( obj );
		return 0;
	}
	
	mcb.MsgHdr.Dest = str->Server ;
	mcb.MsgHdr.Flags = MsgHdr_Flags_preserve ;
	mcb.MsgHdr.ContSize = 0;
	mcb.MsgHdr.DataSize = 0;
	mcb.MsgHdr.Reply = NullPort;
	mcb.MsgHdr.FnRc = Msg_KillServer;
	
	mcb.Timeout = 5 * OneSec;;
	
	PutMsg( &mcb );
	Close( str );
	Close( obj );

	return 1;
}

